
Foreman - Feature #14133

Update to rubocop 0.38.0

03/10/2016 03:12 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Tests   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3481

  

Description

Update rubocop to 0.38.0 to get rake 11.x compatibility, and revert the rake 10.x pin from #14114.

Related issues:

Related to Foreman - Bug #14114: Rake tasks fail under rake 11.x with undefin... Closed 03/09/2016

Related to Foreman - Refactor #15364: Disable Style/ClassCheck cop Closed 06/09/2016

Blocks Packaging - Feature #14809: Build RPMs for Fedora 24 Closed 04/26/2016

Associated revisions

Revision f0091ac8 - 05/06/2016 10:29 AM - Dominic Cleal

fixes #14133 - update to rubocop 0.39.0

Replaces hirb-unicode with the maintained hirb-unicode-steakknife fork,

due to conflicting requirements on unicode-display_width with the older

hirb-unicode and new rubocop.

Rake is unpinned due to the newer rubocop's compatibility with it, and

parser unpinned as the newer rubocop+parser combination works. Custom

rake test tasks have warnings disabled to match Rails behaviour and

prevent lots of output.

Revision 609d3bb8 - 05/09/2016 03:45 AM - Dominic Cleal

refs #14133 - use hirb-unicode-steakknife

History

#1 - 03/10/2016 03:24 AM - Dominic Cleal

A little more complicated, as hirb-unicode (from the console group) has a conflicting dependency with rubocop on unicode-display_width.  I've

submitted https://github.com/steakknife/hirb-unicode/pull/1 to fix a maintained fork of hirb-unicode (itself now dead) and perhaps it can be switched

over, else remove hirb-unicode entirely.

#2 - 03/10/2016 03:58 AM - Dominic Cleal

- Related to Bug #14114: Rake tasks fail under rake 11.x with undefined method `last_comment' added

#3 - 04/29/2016 05:27 AM - Dominic Cleal

- Blocks Feature #14809: Build RPMs for Fedora 24 added

#4 - 04/29/2016 12:31 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3481 added

#5 - 05/06/2016 11:02 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset f0091ac8b2e8b53efb05514d78aa0545d2176a61.

#6 - 05/09/2016 04:23 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#7 - 06/09/2016 09:31 AM - Marek Hulán

- Related to Refactor #15364: Disable Style/ClassCheck cop added
